<?php
$tdataproprietate = array();
$tdataproprietate[".searchableFields"] = array();
$tdataproprietate[".ShortName"] = "proprietate";
$tdataproprietate[".OwnerID"] = "";
$tdataproprietate[".OriginalTable"] = "proprietate";


$tdataproprietate[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataproprietate[".originalPagesByType"] = $tdataproprietate[".pagesByType"];
$tdataproprietate[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataproprietate[".originalPages"] = $tdataproprietate[".pages"];
$tdataproprietate[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataproprietate[".originalDefaultPages"] = $tdataproprietate[".defaultPages"];

//	field labels
$fieldLabelsproprietate = array();
$fieldToolTipsproprietate = array();
$pageTitlesproprietate = array();
$placeHoldersproprietate = array();

if(mlang_getcurrentlang()=="Romanian")
{
	$fieldLabelsproprietate["Romanian"] = array();
	$fieldToolTipsproprietate["Romanian"] = array();
	$placeHoldersproprietate["Romanian"] = array();
	$pageTitlesproprietate["Romanian"] = array();
	$fieldLabelsproprietate["Romanian"]["id"] = "Id";
	$fieldToolTipsproprietate["Romanian"]["id"] = "";
	$placeHoldersproprietate["Romanian"]["id"] = "";
	$fieldLabelsproprietate["Romanian"]["tip"] = "Tip";
	$fieldToolTipsproprietate["Romanian"]["tip"] = "";
	$placeHoldersproprietate["Romanian"]["tip"] = "";
	$fieldLabelsproprietate["Romanian"]["suprafata"] = "Suprafata";
	$fieldToolTipsproprietate["Romanian"]["suprafata"] = "";
	$placeHoldersproprietate["Romanian"]["suprafata"] = "";
	$fieldLabelsproprietate["Romanian"]["cotaIndiviza"] = "Cota Indiviza";
	$fieldToolTipsproprietate["Romanian"]["cotaIndiviza"] = "";
	$placeHoldersproprietate["Romanian"]["cotaIndiviza"] = "";
	$fieldLabelsproprietate["Romanian"]["idAsociatie"] = "Id Asociatie";
	$fieldToolTipsproprietate["Romanian"]["idAsociatie"] = "";
	$placeHoldersproprietate["Romanian"]["idAsociatie"] = "";
	$fieldLabelsproprietate["Romanian"]["idProprietar"] = "Id Proprietar";
	$fieldToolTipsproprietate["Romanian"]["idProprietar"] = "";
	$placeHoldersproprietate["Romanian"]["idProprietar"] = "";
	$fieldLabelsproprietate["Romanian"]["idProprietate"] = "Id Proprietate";
	$fieldToolTipsproprietate["Romanian"]["idProprietate"] = "";
	$placeHoldersproprietate["Romanian"]["idProprietate"] = "";
	if (count($fieldToolTipsproprietate["Romanian"]))
		$tdataproprietate[".isUseToolTips"] = true;
}


	$tdataproprietate[".NCSearch"] = true;



$tdataproprietate[".shortTableName"] = "proprietate";
$tdataproprietate[".nSecOptions"] = 0;

$tdataproprietate[".mainTableOwnerID"] = "";
$tdataproprietate[".entityType"] = 0;
$tdataproprietate[".connId"] = "web111_bl_at_vmw_ro";


$tdataproprietate[".strOriginalTableName"] = "proprietate";

		 



$tdataproprietate[".showAddInPopup"] = false;

$tdataproprietate[".showEditInPopup"] = false;

$tdataproprietate[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataproprietate[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataproprietate[".listAjax"] = false;
//	temporary
$tdataproprietate[".listAjax"] = false;

	$tdataproprietate[".audit"] = false;

	$tdataproprietate[".locking"] = false;


$pages = $tdataproprietate[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataproprietate[".edit"] = true;
	$tdataproprietate[".afterEditAction"] = 1;
	$tdataproprietate[".closePopupAfterEdit"] = 1;
	$tdataproprietate[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataproprietate[".add"] = true;
$tdataproprietate[".afterAddAction"] = 1;
$tdataproprietate[".closePopupAfterAdd"] = 1;
$tdataproprietate[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataproprietate[".list"] = true;
}



$tdataproprietate[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataproprietate[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataproprietate[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataproprietate[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataproprietate[".printFriendly"] = true;
}



$tdataproprietate[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataproprietate[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataproprietate[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataproprietate[".isUseAjaxSuggest"] = true;

$tdataproprietate[".rowHighlite"] = true;





$tdataproprietate[".ajaxCodeSnippetAdded"] = false;

$tdataproprietate[".buttonsAdded"] = false;

$tdataproprietate[".addPageEvents"] = false;

// use timepicker for search panel
$tdataproprietate[".isUseTimeForSearch"] = false;


$tdataproprietate[".badgeColor"] = "b22222";


$tdataproprietate[".allSearchFields"] = array();
$tdataproprietate[".filterFields"] = array();
$tdataproprietate[".requiredSearchFields"] = array();

$tdataproprietate[".googleLikeFields"] = array();
$tdataproprietate[".googleLikeFields"][] = "id";
$tdataproprietate[".googleLikeFields"][] = "tip";
$tdataproprietate[".googleLikeFields"][] = "suprafata";
$tdataproprietate[".googleLikeFields"][] = "cotaIndiviza";
$tdataproprietate[".googleLikeFields"][] = "idAsociatie";
$tdataproprietate[".googleLikeFields"][] = "idProprietar";
$tdataproprietate[".googleLikeFields"][] = "idProprietate";



$tdataproprietate[".tableType"] = "list";

$tdataproprietate[".printerPageOrientation"] = 0;
$tdataproprietate[".nPrinterPageScale"] = 100;

$tdataproprietate[".nPrinterSplitRecords"] = 40;

$tdataproprietate[".geocodingEnabled"] = false;










$tdataproprietate[".pageSize"] = 20;

$tdataproprietate[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataproprietate[".strOrderBy"] = $tstrOrderBy;

$tdataproprietate[".orderindexes"] = array();


$tdataproprietate[".sqlHead"] = "SELECT id,  	tip,  	suprafata,  	cotaIndiviza,  	idAsociatie,  	idProprietar,  	idProprietate";
$tdataproprietate[".sqlFrom"] = "FROM proprietate";
$tdataproprietate[".sqlWhereExpr"] = "";
$tdataproprietate[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataproprietate[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataproprietate[".arrGroupsPerPage"] = $arrGPP;

$tdataproprietate[".highlightSearchResults"] = true;

$tableKeysproprietate = array();
$tableKeysproprietate[] = "id";
$tdataproprietate[".Keys"] = $tableKeysproprietate;


$tdataproprietate[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "proprietate";
	$fdata["Label"] = GetFieldLabel("proprietate","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
										

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietate["id"] = $fdata;
		$tdataproprietate[".searchableFields"][] = "id";
//	tip
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "tip";
	$fdata["GoodName"] = "tip";
	$fdata["ownerTable"] = "proprietate";
	$fdata["Label"] = GetFieldLabel("proprietate","tip");
	$fdata["FieldType"] = 201;

	
	
	
										

		$fdata["strField"] = "tip";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tip";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietate["tip"] = $fdata;
		$tdataproprietate[".searchableFields"][] = "tip";
//	suprafata
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "suprafata";
	$fdata["GoodName"] = "suprafata";
	$fdata["ownerTable"] = "proprietate";
	$fdata["Label"] = GetFieldLabel("proprietate","suprafata");
	$fdata["FieldType"] = 14;

	
	
	
										

		$fdata["strField"] = "suprafata";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "suprafata";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietate["suprafata"] = $fdata;
		$tdataproprietate[".searchableFields"][] = "suprafata";
//	cotaIndiviza
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "cotaIndiviza";
	$fdata["GoodName"] = "cotaIndiviza";
	$fdata["ownerTable"] = "proprietate";
	$fdata["Label"] = GetFieldLabel("proprietate","cotaIndiviza");
	$fdata["FieldType"] = 14;

	
	
	
										

		$fdata["strField"] = "cotaIndiviza";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cotaIndiviza";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietate["cotaIndiviza"] = $fdata;
		$tdataproprietate[".searchableFields"][] = "cotaIndiviza";
//	idAsociatie
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "idAsociatie";
	$fdata["GoodName"] = "idAsociatie";
	$fdata["ownerTable"] = "proprietate";
	$fdata["Label"] = GetFieldLabel("proprietate","idAsociatie");
	$fdata["FieldType"] = 3;

	
	
	
										

		$fdata["strField"] = "idAsociatie";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "idAsociatie";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietate["idAsociatie"] = $fdata;
		$tdataproprietate[".searchableFields"][] = "idAsociatie";
//	idProprietar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "idProprietar";
	$fdata["GoodName"] = "idProprietar";
	$fdata["ownerTable"] = "proprietate";
	$fdata["Label"] = GetFieldLabel("proprietate","idProprietar");
	$fdata["FieldType"] = 3;

	
	
	
										

		$fdata["strField"] = "idProprietar";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "idProprietar";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietate["idProprietar"] = $fdata;
		$tdataproprietate[".searchableFields"][] = "idProprietar";
//	idProprietate
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "idProprietate";
	$fdata["GoodName"] = "idProprietate";
	$fdata["ownerTable"] = "proprietate";
	$fdata["Label"] = GetFieldLabel("proprietate","idProprietate");
	$fdata["FieldType"] = 200;

	
	
	
										

		$fdata["strField"] = "idProprietate";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "idProprietate";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataproprietate["idProprietate"] = $fdata;
		$tdataproprietate[".searchableFields"][] = "idProprietate";


$tables_data["proprietate"]=&$tdataproprietate;
$field_labels["proprietate"] = &$fieldLabelsproprietate;
$fieldToolTips["proprietate"] = &$fieldToolTipsproprietate;
$placeHolders["proprietate"] = &$placeHoldersproprietate;
$page_titles["proprietate"] = &$pageTitlesproprietate;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["proprietate"] = array();
//	contoareApa
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="contoareApa";
		$detailsParam["dOriginalTable"] = "contoareApa";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "contoareapa";
	$detailsParam["dCaptionTable"] = GetTableCaption("contoareApa");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["proprietate"][$dIndex] = $detailsParam;

	
		$detailsTablesData["proprietate"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["proprietate"][$dIndex]["masterKeys"][]="id";

				$detailsTablesData["proprietate"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["proprietate"][$dIndex]["detailKeys"][]="idProprietate";
//	consumApa
	
	

		$dIndex = 1;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="consumApa";
		$detailsParam["dOriginalTable"] = "consumApa";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "consumapa";
	$detailsParam["dCaptionTable"] = GetTableCaption("consumApa");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["proprietate"][$dIndex] = $detailsParam;

	
		$detailsTablesData["proprietate"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["proprietate"][$dIndex]["masterKeys"][]="id";

				$detailsTablesData["proprietate"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["proprietate"][$dIndex]["detailKeys"][]="idProprietate";

// tables which are master tables for current table (detail)
$masterTablesData["proprietate"] = array();



	
				$strOriginalDetailsTable="asociatie";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="asociatie";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "asociatie";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["proprietate"][0] = $masterParams;
				$masterTablesData["proprietate"][0]["masterKeys"] = array();
	$masterTablesData["proprietate"][0]["masterKeys"][]="id";
				$masterTablesData["proprietate"][0]["detailKeys"] = array();
	$masterTablesData["proprietate"][0]["detailKeys"][]="idAsociatie";
		
	
				$strOriginalDetailsTable="proprietari";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="proprietari";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "proprietari";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["proprietate"][1] = $masterParams;
				$masterTablesData["proprietate"][1]["masterKeys"] = array();
	$masterTablesData["proprietate"][1]["masterKeys"][]="id";
				$masterTablesData["proprietate"][1]["detailKeys"] = array();
	$masterTablesData["proprietate"][1]["detailKeys"][]="idProprietar";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_proprietate()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	tip,  	suprafata,  	cotaIndiviza,  	idAsociatie,  	idProprietar,  	idProprietate";
$proto0["m_strFrom"] = "FROM proprietate";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
					
;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "proprietate",
	"m_srcTableName" => "proprietate"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "proprietate";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "tip",
	"m_strTable" => "proprietate",
	"m_srcTableName" => "proprietate"
));

$proto8["m_sql"] = "tip";
$proto8["m_srcTableName"] = "proprietate";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "suprafata",
	"m_strTable" => "proprietate",
	"m_srcTableName" => "proprietate"
));

$proto10["m_sql"] = "suprafata";
$proto10["m_srcTableName"] = "proprietate";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "cotaIndiviza",
	"m_strTable" => "proprietate",
	"m_srcTableName" => "proprietate"
));

$proto12["m_sql"] = "cotaIndiviza";
$proto12["m_srcTableName"] = "proprietate";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "idAsociatie",
	"m_strTable" => "proprietate",
	"m_srcTableName" => "proprietate"
));

$proto14["m_sql"] = "idAsociatie";
$proto14["m_srcTableName"] = "proprietate";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "idProprietar",
	"m_strTable" => "proprietate",
	"m_srcTableName" => "proprietate"
));

$proto16["m_sql"] = "idProprietar";
$proto16["m_srcTableName"] = "proprietate";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "idProprietate",
	"m_strTable" => "proprietate",
	"m_srcTableName" => "proprietate"
));

$proto18["m_sql"] = "idProprietate";
$proto18["m_srcTableName"] = "proprietate";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "proprietate";
$proto21["m_srcTableName"] = "proprietate";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "id";
$proto21["m_columns"][] = "tip";
$proto21["m_columns"][] = "suprafata";
$proto21["m_columns"][] = "cotaIndiviza";
$proto21["m_columns"][] = "idAsociatie";
$proto21["m_columns"][] = "idProprietar";
$proto21["m_columns"][] = "idProprietate";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "proprietate";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "proprietate";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="proprietate";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_proprietate = createSqlQuery_proprietate();


	
					
;

							

$tdataproprietate[".sqlquery"] = $queryData_proprietate;



$tableEvents["proprietate"] = new eventsBase;
$tdataproprietate[".hasEvents"] = false;

?>